Bug 1151757 - kernel boot -> black screen, no log message, no network
Summary: kernel boot -> black screen, no log message, no network
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1151052 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-11 14:51 UTC by Sjoerd Mullender
Modified: 2015-10-09 18:55 UTC (History)
30 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:51:54 UTC


Attachments (Terms of Use)
dmesg after black screen from an SSH remote shell (80.86 KB, text/plain)
2014-10-23 14:33 UTC, Karl
no flags Details
systemctl -l output tedsluis (72.67 KB, text/plain)
2014-10-23 15:19 UTC, Ted Sluis
no flags Details
dmesg output after boot to kernel-3.11.10-301.fc20 (latest kernel I have that allows console logins) (82.40 KB, text/plain)
2014-12-06 23:35 UTC, Karl
no flags Details
dmesg output after boot to kernel-3.17.4-200.fc20 (not working; no console or even text-based console available) (80.05 KB, text/plain)
2014-12-06 23:37 UTC, Karl
no flags Details

Description Sjoerd Mullender 2014-10-11 14:51:48 UTC
Description of problem:
When I boot the latest kernel kernel-3.16.4-200.fc20.x86_64, and from koji: kernel-3.16.5-200.fc20.x86_64, the result is a completely black screen as soon as the kernel is supposed to start printing messages on the screen.  When I wait a while, nothing changes, and I also cannot login from another system (something that normally does work, i.e. that is set up correctly).
The only way I can get control back is to hold the power button.
If I then reboot into the previous kernel (kernel-3.16.3-200.fc20.x86_64), the system boots normally.  However, I cannot find any trace in any of the logs about the boot of the 3.16.4 (or .5) kernel.  Nothing.  Not in journalctl, not in /var/log/messages.  It is as if the boot never happened.

Version-Release number of selected component (if applicable):
kernel-3.16.4-200.fc20.x86_64
kernel-3.16.5-200.fc20.x86_64


How reproducible:
100%

Steps to Reproduce:
1. reboot into said kernel
2.
3.

Actual results:
black screen, unusable system

Expected results:
normal boot

Additional info:
This is on an HP EliteBook 8470w.

Comment 1 dyland.desmarais 2014-10-12 19:31:12 UTC
I would also like to report this issue.  Just installed Fedora 20 on a Tosiba Tecra R950.  System booted fine with the stock  3.11.10-301.fc20.x86_64 kernel.

Once i completed all updates and rebooted the 3.16.4-200.fc20.x86_64 would not load past the grub menu.  Simply a black screen and unresponsive system.  Booting nder kernel 3.11 the system works fine.

As with the OP, nothing in var/logs/boot.log for the issues with 3.16.

I removed rhgb and the system blackscreens right were kernel 3.11 would move to a high res text mode.  So i suspect his has something to do with the video.

How reproducible:
100%

Steps to Reproduce:
1. reboot into said kernel
2.
3.

Actual results:
black screen, unusable system.  

Expected results:
normal boot

Additional info:

[root@localhost grub2]# lspci
00:00.0 Host bridge: Intel Corporation 3rd Gen Core processor DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port (rev 09)
00:14.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 (rev 04)
00:16.3 Serial controller: Intel Corporation 7 Series/C210 Series Chipset Family KT Controller (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
00:1a.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 (rev c4)
00:1c.1 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 2 (rev c4)
00:1c.2 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 3 (rev c4)
00:1c.5 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 6 (rev c4)
00:1d.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QM77 Express Chipset LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 7 Series Chipset Family 6-port SATA Controller [AHCI mode] (rev 04)
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Thames [Radeon HD 7550M/7570M/7650M]
01:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Turks/Whistler HDMI Audio [Radeon HD 6000 Series]
02:00.0 System peripheral: Ricoh Co Ltd PCIe SDXC/MMC Host Controller (rev 07)
02:00.1 System peripheral: Ricoh Co Ltd Device e232 (rev 04)
05:00.0 Network controller: Intel Corporation Centrino Advanced-N 6235 (rev 24)

Comment 2 Daniel Persson 2014-10-13 05:10:07 UTC
Same problem here with a EliteBook 8470w. Black screen with 3.16.4-200.fc20.x86_64 but works like a charm with 3.16.3-200.fc20.x86_64

How reproducible:
100%

Steps to Reproduce:
1. reboot into said kernel
2.
3.

Actual results:
black screen, unusable system.  

Expected results:
normal boot

lspci
00:00.0 Host bridge: Intel Corporation 3rd Gen Core processor DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port (rev 09)
00:14.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
00:1a.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 (rev c4)
00:1c.1 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 2 (rev c4)
00:1c.2 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 3 (rev c4)
00:1c.3 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 4 (rev c4)
00:1d.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QM77 Express Chipset LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 7 Series Chipset Family 6-port SATA Controller [AHCI mode] (rev 04)
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Thames [Radeon HD 7550M/7570M/7650M]
01:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Turks/Whistler HDMI Audio [Radeon HD 6000 Series]
24:00.0 FireWire (IEEE 1394): JMicron Technology Corp. IEEE 1394 Host Controller (rev 30)
24:00.1 System peripheral: JMicron Technology Corp. SD/MMC Host Controller (rev 30)
24:00.2 SD Host controller: JMicron Technology Corp. Standard SD Host Controller (rev 30)
25:00.0 Network controller: Intel Corporation Centrino Advanced-N 6205 [Taylor Peak] (rev 34)

Comment 3 Karl 2014-10-13 14:06:45 UTC
*** Bug 1151052 has been marked as a duplicate of this bug. ***

Comment 4 Sjoerd Mullender 2014-10-18 09:01:26 UTC
kernel-3.16.6-200.fc20.x86_64 also doesn't work.

Here is also my lspci output:

00:00.0 Host bridge: Intel Corporation 3rd Gen Core processor DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port (rev 09)
00:14.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
00:1a.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 (rev c4)
00:1c.1 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 2 (rev c4)
00:1c.2 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 3 (rev c4)
00:1c.3 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 4 (rev c4)
00:1d.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QM77 Express Chipset LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 7 Series Chipset Family 6-port SATA Controller [AHCI mode] (rev 04)
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Thames [Radeon HD 7550M/7570M/7650M]
01:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Turks/Whistler HDMI Audio [Radeon HD 6000 Series]
24:00.0 FireWire (IEEE 1394): JMicron Technology Corp. IEEE 1394 Host Controller (rev 30)
24:00.1 System peripheral: JMicron Technology Corp. SD/MMC Host Controller (rev 30)
24:00.2 SD Host controller: JMicron Technology Corp. Standard SD Host Controller (rev 30)
25:00.0 Network controller: Intel Corporation Centrino Advanced-N 6205 [Taylor Peak] (rev 34)

Comment 5 Karl 2014-10-19 20:03:04 UTC
lspci output for me (kernel 3.16.{4..6} all failed for me):
00:00.0 Host bridge: Intel Corporation 4th Gen Core Processor DRAM Controller (rev 06)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor PCI Express x16 Controller (rev 06)
00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics Controller (rev 06)
00:03.0 Audio device: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor HD Audio Controller (rev 06)
00:14.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB xHCI (rev 04)
00:16.0 Communication controller: Intel Corporation 8 Series/C220 Series Chipset Family MEI Controller #1 (rev 04)
00:19.0 Ethernet controller: Intel Corporation Ethernet Connection I217-LM (rev 04)
00:1a.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB EHCI #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 8 Series/C220 Series Chipset High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #1 (rev d4)
00:1c.1 PCI bridge: Intel Corporation 8 Series/C220 Series Chipset Family PCI Express Root Port #2 (rev d4)
00:1d.0 USB controller: Intel Corporation 8 Series/C220 Series Chipset Family USB EHCI #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation Q87 Express LPC Controller (rev 04)
00:1f.2 RAID bus controller: Intel Corporation 82801 SATA Controller [RAID mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 8 Series/C220 Series Chipset Family SMBus Controller (rev 04)
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Caicos XTX [Radeon HD 8490 / R5 235X OEM]
01:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Caicos HDMI Audio [Radeon HD 6400 Series]
03:00.0 PCI bridge: Texas Instruments XIO2001 PCI Express-to-PCI Bridge

Comment 6 MB 2014-10-20 14:54:33 UTC
Similar behavior on my HP Envy DV7: up-to-date Fedora 20 boots fine with kernel 3.15.10-201.fc20.x86_64, but shows a black screen with any 3.16 kernel and only the power button works to restart the system. There seems to be no log information regarding booting 3.16.

Some system information:

uname -a:
Linux ... 3.15.10-201.fc20.x86_64 #1 SMP Wed Aug 27 21:10:06 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

rpm -qa | grep bumblebee :
bumblebee-nonfree-release-1.1-1.noarch
bumblebee-nvidia-340.32-1.fc20.x86_64
bumblebee-release-1.1-1.noarch
bumblebee-3.2.1-5.fc20.x86_64

rpm -qa | grep bbsw :
bbswitch-0.8.0-1.fc20.x86_64

lspci :
00:00.0 Host bridge: Intel Corporation 3rd Gen Core processor DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
00:14.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 (rev c4)
00:1c.1 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 2 (rev c4)
00:1c.3 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 4 (rev c4)
00:1c.5 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 6 (rev c4)
00:1d.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation HM77 Express Chipset LPC Controller (rev 04)
00:1f.2 RAID bus controller: Intel Corporation 82801 Mobile SATA Controller [RAID mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 7 Series/C210 Series Chipset Family SMBus Controller (rev 04)
01:00.0 VGA compatible controller: NVIDIA Corporation GF108M [GeForce GT 630M] (rev a1)
08:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5229 PCI Express Card Reader (rev 01)
0a:00.0 Network controller: Intel Corporation Centrino Wireless-N 2230 (rev c4)
0b:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 07)

Comment 7 dyland.desmarais 2014-10-20 15:57:00 UTC
So an update . . . I got 3.16.6-200 pushed down via yum update today. No change, system boots to a black screen. No other key combinations or actions are possible except to power off with the laptop power button and restart.

So the issue is current with kernels 3.16.4-200 and 3.16.6-200. From other comments it looks like this issue first appeared with the 3.16 train.

Dyland

Comment 8 MB 2014-10-20 17:59:24 UTC
More comment 6 details:

kernel-3.15.10-201.fc20.x86_64  Works
kernel-3.16.2-200.fc20.x86_64   Black Screen + frozen
kernel-3.16.2-201.fc20.x86_64   Black Screen + frozen
kernel-3.16.3-200.fc20.x86_64   Black Screen + frozen
kernel-3.16.4-200.fc20.x86_64   Black Screen + frozen
kernel-3.16.6-200.fc20.x86_64   Black Screen + frozen

Comment 9 poneil 2014-10-22 04:30:07 UTC
Also having the same problem with a HP EliteBook 8570p. This kernel works:

kernel-3.16.3-200.fc20.x86_64

These DO NOT:

kernel-3.16.4-200.fc20.x86_64
kernel-3.16.5-200.fc20.x86_64
kernel-3.16.6-200.fc20.x86_64

problem description:
- I boot computer after latest kernel update
- I select recent kernel (any of 3.16.4/5/6)
- screen immediately goes dark black after kernel boot starts
- cannot get to any console login after this point
- computer unresponsive
- have to power off to restart

This is a terrible problem... I've never seen anything like this in years and years of using Linux and Fedora.

# lspci
00:00.0 Host bridge: Intel Corporation 3rd Gen Core processor DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port (rev 09)
00:14.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 (rev 04)
00:16.3 Serial controller: Intel Corporation 7 Series/C210 Series Chipset Family KT Controller (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
00:1a.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 (rev c4)
00:1c.1 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 2 (rev c4)
00:1c.2 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 3 (rev c4)
00:1c.3 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 4 (rev c4)
00:1d.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QM77 Express Chipset LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 7 Series Chipset Family 6-port SATA Controller [AHCI mode] (rev 04)
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Thames [Radeon HD 7550M/7570M/7650M]
01:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Turks/Whistler HDMI Audio [Radeon HD 6000 Series]
24:00.0 FireWire (IEEE 1394): JMicron Technology Corp. IEEE 1394 Host Controller (rev 30)
24:00.1 System peripheral: JMicron Technology Corp. SD/MMC Host Controller (rev 30)
24:00.2 SD Host controller: JMicron Technology Corp. Standard SD Host Controller (rev 30)
25:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 3e)

Comment 10 Michele Baldessari 2014-10-22 06:56:54 UTC
You all seem to have vastly different graphic controllers so I doubt this
is a specific graphic card issue.

1) If you remove "quiet rhgb" from the grub boot command line does the boot
process show some lines?

2) If the answer to 1) is "no lines shown", try adding "rdshell rdinitdebug"
to the boot arguments and see if it progresses or hangs (keep "quiet rhgs" off the argument lines)

Comment 11 MB 2014-10-22 14:44:53 UTC
Removing "rhgb quiet" from my /boot/grub2/grub.conf 3.16.6-200 kernel line did it - the system works now.

Thanks for the suggestion!

Oct 22 08:23:38 foo6 rsyslogd: [origin software="rsyslogd" swVersion="7.4.8" x-pid="670" x-info="http://www.rsyslog.com"] start
Oct 22 08:23:38 foo6 kernel: [    0.000000] Initializing cgroup subsys cpuset
Oct 22 08:23:38 foo6 kernel: [    0.000000] Initializing cgroup subsys cpu
Oct 22 08:23:38 foo6 kernel: [    0.000000] Initializing cgroup subsys cpuacct
Oct 22 08:23:38 foo6 kernel: [    0.000000] Linux version 3.16.6-200.fc20.x86_64 (mockbuild@bkernel01.phx2.fedoraproject.org) (gcc version 4.8.3 20140911 (Red Hat
 4.8.3-7) (GCC) ) #1 SMP Wed Oct 15 13:06:51 UTC 2014
Oct 22 08:23:38 foo6 kernel: [    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-3.16.6-200.fc20.x86_64 root=UUID=8f60df6d-4377-4764-9d02-974ecb7a9f47 ro acpi_o
si=Linux acpi_backlight=vendor SYSFONT=True KEYTABLE=us LANG=en_US.UTF-8 atkbd.softraw=0
Oct 22 08:23:38 foo6 kernel: [    0.000000] e820: BIOS-provided physical RAM map:

...

Comment 12 Sjoerd Mullender 2014-10-22 17:41:18 UTC
Unfortunately, removing "rhgb quiet" from the kernel command line doesn't help me.
Adding "rdshell rdinitdebug" also doesn't make a difference (perhaps in the messages that get displayed before the screen goes black, but that's hard to see).

I tried this on the 3.16.6-200 kernel.

Comment 13 dyland.desmarais 2014-10-22 19:28:58 UTC
I've tried both "rhgb quiet" as well "rdshell rdinitdebug" on 3.16.6-200, results were the same.

I see inital boot text output, the screen then goes black and nothing.

Dyland

Comment 14 poneil 2014-10-22 22:30:36 UTC
During boot process, I DO see lines fly by when I've remove "quiet rhgb" for a kernel, but I can't read them fast enough. Is that information logged and still available AFTER I boot into the kernel that works? Can/should I pipe that output somewhere else, temporarily, by modifying /boot/grub2/grub.cfg?

note: specifically, I edited /boot/grub2/grub.cfg and changed this:

linux   /vmlinuz-3.16.6-200.fc20.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8

to:

linux   /vmlinuz-3.16.6-200.fc20.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root LANG=en_US.UTF-8

Comment 15 Michele Baldessari 2014-10-23 08:34:38 UTC
MB: glad that solved it, although I am not sure what the issue was in your case. It's likely unrelated to what the others are experiencing.

For all the others: 
0) Do you use the proprietary fgflrx driver?

1) can you guys ssh in the box remotely? If yes, can we get
a dmesg when the black screen starts?

2) If not, it looks like everyone else is using an ATI Radeon card and
likely something broke between 3.15 and 3.16. Please boot with "nomodeset" as
a grub option and report back. If it boots correctly, try modprobing radeon and
see if the screen goes black right away

Comment 16 Karl 2014-10-23 14:33:41 UTC
Created attachment 949942 [details]
dmesg after black screen from an SSH remote shell

Comment 17 poneil 2014-10-23 14:42:50 UTC
I have a completely uncustomized F20 installation, using the default/available drivers.

I cannot locate the system remotely by ping or ssh, though, with the additional logging, I see that some services do seem to start before the "black screen of death", but not ssh, for me.

Like I said earlier, how do I find/capture the logging I am seeing when the "bad" kernel boots?

note: 3.16.3 kernel works just fine.  Anything beyond that delivers the black screen of death.

Thanks for any help you can provide!

Comment 18 Karl 2014-10-23 14:47:35 UTC
Booting with "nomodeset" caused the system to hang immediately when the kernel starts.  This could mean I'm using the option incorrectly, of course.  I am not using any proprietary drivers, however.  I posted the dmesg, though.

poneil:  I recall having trouble if I tried to connect to the sshd as soon as the black screen appeared, but if I waited a minute or two, I was OK.  It's a suggestion to try if you haven't already done so....

Comment 19 Sjoerd Mullender 2014-10-23 15:04:43 UTC
I cannot login remotely when the screen is black, per the original bug report.

I can boot with nomodeset on the kernel command line, but then the external monitor isn't recognized.

Modprobing radeon doesn't work:

# modprobe radeon
modprobe: ERROR: could not insert 'radeon': Invalid argument

The radeon module is present when I boot the older kernel.

I am not using the fgflrx driver.

Comment 20 Ted Sluis 2014-10-23 15:16:36 UTC
Description of problem:
Looks like the same issue, not booting after yum update. Black screen & completly unresponsive.
Even removing the key words "quiet rhgb" from the line:
linux	/vmlinuz-3.16.6-200.fc20.x86_64 root=/dev/mapper/fedora_pavilion-root ro rd.lvm.lv=fedora_pavilion/swap vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora_pavilion/root  rhgb quiet LANG=en_US.UTF-8 1
in the /boot/grub2/grub.cfg doesn't help.

However: I can boot in to runlevel 3 (commandline) using the grub menu!

How reproducible:
100%

Steps to Reproduce:
1. Clean install Fedora 20 (using Fedora-Live-Desktop-x86_64-20-1.iso - 3.11.10-301.fc20.x86_64)
2. The host works fine. Being able to do SSH log-in from an other host, browsing the internet using Firefox, booting the system as much a I like, etc...
3. yum update to kernel 3.16.6-200.fc20.x86_64
4. The host still works fine until I reboot....
(reproduced this issue serveral times now)

Actual results:
- After the grub menu a cursor appears in the left upper corner and a few seconds later the fedora logo appears. It fills up from bottom left to top right.
- Then sceen goes black, but not dark!  
- I cannot get to any console (using CTRL-ALT-F1/F2/F3/F4 etc) login after this point.
- But I can login using SSH and I can read the system log (journalctl -l). I found some error and warning, see below.
- The computer is completly unresponsive to any key.
- Have to power off to restart.

Additional test: Selecting the 3.11.10-301.fc20.x86_64 kernel from the boot menu (which worked before): 
- Same result as 3.16.6-200.fc20.x86_64 kernel! Screen immediately goes black after the Fedora logo & computer unresponsive.

Additional test: Boot in runlevel 3 from the grub menu: 
Type 'e' in the Grub any "3" at the end of line: 
linux	/vmlinuz-3.16.6-200.fc20.x86_64 root=/dev/mapper/fedora_pavilion-root ro rd.lvm.lv=fedora_pavilion/swap vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora_pavilion/root  rhgb quiet LANG=en_US.UTF-8 1
- I can log into the commandline.
- I can do anything like yum update. Everything looks fine.
- After startx the sceen goes black and computer is completly unresponsive again.

Expected results:
normal boot

Additional info:
This is on a HP Pavilion DV7

uname:
Linux pavilion 3.16.6-200.fc20.x86_64 #1 SMP Wed Oct 15 13:06:51 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

lspci:
00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 02)
00:01.0 PCI bridge: Intel Corporation Core Processor PCI Express x16 Root Port (rev 02)
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)
00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06)
00:1a.0 USB controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 05)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 05)
00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 (rev 05)
00:1d.0 USB controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a5)
00:1f.0 ISA bridge: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation 5 Series/3400 Series Chipset 4 port SATA AHCI Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 05)
00:1f.6 Signal processing controller: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem (rev 05)
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Madison [Mobility Radeon HD 5650/5750 / 6530M/6550M]
01:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Redwood HDMI Audio [Radeon HD 5000 Series]
02:00.0 Network controller: Qualcomm Atheros AR9285 Wireless Network Adapter (PCI-Express) (rev 01)
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 03)
7f:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers (rev 02)
7f:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 02)
7f:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 02)
7f:02.1 Host bridge: Intel Corporation 1st Generation Core Processor QPI Physical 0 (rev 02)
7f:02.2 Host bridge: Intel Corporation 1st Generation Core Processor Reserved (rev 02)
7f:02.3 Host bridge: Intel Corporation 1st Generation Core Processor Reserved (rev 02)

Errors, Warnings and Failure in the system log: (journalctl -l):
[root@pavilion ~]# journalctl -l | egrep -i 'error|warning|fail'
okt 23 06:54:43 pavilion.bachstraat20 systemd-cgroups-agent[491]: Failed to get D-Bus connection: Failed to connect to socket /run/systemd/private: No such file or directory
okt 23 10:54:44 pavilion.bachstraat20 systemd[1]: Failed to open private bus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
okt 23 10:54:44 pavilion.bachstraat20 lvm[522]: /dev/sr0: open failed: No medium found
okt 23 10:54:45 pavilion.bachstraat20 systemd[1]: rngd.service: main process exited, code=exited, status=1/FAILURE
okt 23 10:54:45 pavilion.bachstraat20 systemd[1]: Unit rngd.service entered failed state.
okt 23 10:54:45 pavilion.bachstraat20 dbus-daemon[823]: dbus[823]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.7" (uid=0 pid=848 comm="/usr/sbin/gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.9" (uid=0 pid=869 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")
okt 23 10:54:45 pavilion.bachstraat20 dbus[823]: [system] Rejected send message, 1 matched rules; type="method_call", sender=":1.7" (uid=0 pid=848 comm="/usr/sbin/gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.9" (uid=0 pid=869 comm="/usr/libexec/gdm-simple-slave --display-id /org/gn")
okt 23 10:54:47 pavilion.bachstraat20 systemd[1246]: Failed to open private bus connection: Failed to connect to socket /run/user/42/dbus/user_bus_socket: No such file or directory
okt 23 10:54:48 pavilion.bachstraat20 gnome-session[1253]: Window manager warning: Log level 6: The program 'gnome-shell' received an X Window System error.
okt 23 10:54:48 pavilion.bachstraat20 gnome-session[1253]: This probably reflects a bug in the program.
okt 23 10:54:48 pavilion.bachstraat20 gnome-session[1253]: The error was 'BadMatch (invalid parameter attributes)'.
okt 23 10:54:48 pavilion.bachstraat20 gnome-session[1253]: (Details: serial 355 error_code 8 request_code 139 (RANDR) minor_code 30)
okt 23 10:54:48 pavilion.bachstraat20 gnome-session[1253]: (Note to programmers: normally, X errors are reported asynchronously;
okt 23 10:54:48 pavilion.bachstraat20 gnome-session[1253]: that is, you will receive the error a while after causing it.
okt 23 10:54:48 pavilion.bachstraat20 gnome-session[1253]: To debug your program, run it with the GDK_SYNCHRONIZE environment
okt 23 10:54:48 pavilion.bachstraat20 gnome-session[1253]: variable to change this behavior. You can then get a meaningful
okt 23 10:54:48 pavilion.bachstraat20 gnome-session[1253]: backtrace from your debugger if you break on the gdk_x_error() function.)
okt 23 10:54:48 pavilion.bachstraat20 kernel: traps: gnome-shell[1325] trap int3 ip:7fb9c3c7e4e9 sp:7fff1ead8de0 error:0
okt 23 10:54:48 pavilion.bachstraat20 abrt-hook-ccpp[1397]: Saved core dump of pid 1325 (/usr/bin/gnome-shell) to /var/tmp/abrt/ccpp-2014-10-23-10:54:48-1325 (79048704 bytes)
okt 23 10:54:48 pavilion.bachstraat20 gnome-session[1253]: (gnome-settings-daemon:1289): media-keys-plugin-WARNING **: 4: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
okt 23 10:55:02 pavilion.bachstraat20 systemd[1472]: Failed to open private bus connection: Failed to connect to socket /run/user/0/dbus/user_bus_socket: No such file or directory

My complete journalctl is attached to this bugreport.

It looks that it is display driver of X Window related?

Comment 21 Ted Sluis 2014-10-23 15:19:26 UTC
Created attachment 949972 [details]
systemctl -l output tedsluis

Comment 22 Carlos Eduardo 2014-10-23 16:31:47 UTC
I have the same problem on a HP mini 1000 Netbook. Installed Fedora 20 and it worked great on 3.11 kernel.

After updating packages, 3.16 kernels give me the black screen.

I removed the "rhgb quiet" from grub and see a couple lines than the screen gets black and freezes.

This computer gfx carg is: Intel® Graphics Media Accelerator 950 not a Radeon.

Comment 23 Nicolas Dufresne 2014-10-24 16:03:42 UTC
Similar issue, on smaller step update, 3.16.3 -> 3.16.6

System boots but Xorg nouveau won't start. Kernel report something like "No valid ROM" or something.

Comment 24 Sjoerd Mullender 2014-10-28 19:00:00 UTC
Still no change with the 3.16.6-203.fc20.x86_64 kernel.
Screen turns black, system becomes unresponsive, no remote access, nothing in logs.

Comment 25 dyland.desmarais 2014-10-29 17:36:12 UTC
Just updated to 3.16.6-203.fc20.x86_64 via yum.  Situation still exists, screen goes black, system is unresponsive.  Forced to restart using laptop power button.

As per the above request, attempted to SSH to machine, no response.  I do note when the screen goes black under a 3.16 kernel the hdd light stops flashing so it appears the boot process is not proceeding past that point.

Dyland

Comment 26 diego.coste 2014-10-30 14:22:41 UTC
Same problem here, HP EliteBook 8470p, core i5 3380M, 8GB DDR
SSD disk encrypted with LUKS

Boot Ok with 3.16.3-200
No boot, no SSH access, no disk activity with
3.16.4-200
3.16.6-200
3.16.6-203
The boot stops before asking for the LUKS password. In the scrolling logs, I can see that USB gets initialized, and possibly more devices, but it's too quick to take notes...

journalctl keeps no track of the failing boots.

If I add rdshell rdinitdebug nomodeset to the 3.16.6-203 kernel arguments, I indefinitely see some logs getting printed ~ once per second with always the same contents: (hand-captured + retyped just below)
Screen goes blank after 10 minutes; display of scrolling logs restored if press on any key.
I may miss some lines of logs; the ones I captured completely fill the small screen of my laptop.

dracut-initqueue[332] : //lib/dracut/hooks/initqueue/settled/resume.sh@1: '[' -e /dev/mapper/fedora_20_SSD_swap ']'
dracut-initqueue[332] : /bin/dracut_initqueue@47() : check_finished
dracut-initqueue[332] : /bin/dracut-lib.sh@415(check_finished) : local f
dracut-initqueue[332] : /bin/dracut-lib.sh@416(check_finished) : for f in '$hookdir/initqueue/finished/*.sh'
dracut-initqueue[332] : /bin/dracut-lib.sh@417(check_finished) : '[' /lib/dracut/hooks/initqueue/finished/90-crypt.sh = '/lib/dracut/hooks/initqueue/finished/*.sh' ']'
dracut-initqueue[332] : /bin/dracut-lib.sh@418(check_finished) : '[' -e /lib/dracut/hooks/initqueue/finished/90-crypt.sh ']'
dracut-initqueue[332] : /bin/dracut-lib.sh@418(check_finished) : . /lib/dracut/hooks/initqueue/finished/90-crypt.sh
dracut-initqueue[332] : //lib/dracut/hooks/initqueue/finished/90-crypt.sh@1(source): '[' -e /dev/disk/by-id/dm....*-*' ']'
dracut-initqueue[332] : //lib/dracut/hooks/initqueue/finished/90-crypt.sh@1(source): exit 1
dracut-initqueue[332] : /bin/dracut-lib.sh@418(check_finished) : return 1
dracut-initqueue[332] : /bin/dracut_initqueue@50: udevadm settle --timeout=0
dracut-initqueue[332] : /bin/dracut_initqueue@53(): sleep 0.5



# lspci
00:00.0 Host bridge: Intel Corporation 3rd Gen Core processor DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port (rev 09)
00:14.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
00:1a.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 (rev c4)
00:1c.1 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 2 (rev c4)
00:1c.2 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 3 (rev c4)
00:1c.3 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 4 (rev c4)
00:1d.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QM77 Express Chipset LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 7 Series Chipset Family 6-port SATA Controller [AHCI mode] (rev 04)
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Thames [Radeon HD 7550M/7570M/7650M]
01:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Turks/Whistler HDMI Audio [Radeon HD 6000 Series]
24:00.0 FireWire (IEEE 1394): JMicron Technology Corp. IEEE 1394 Host Controller (rev 30)
24:00.1 System peripheral: JMicron Technology Corp. SD/MMC Host Controller (rev 30)
24:00.2 SD Host controller: JMicron Technology Corp. Standard SD Host Controller (rev 30)
25:00.0 Network controller: Intel Corporation Centrino Advanced-N 6205 [Taylor Peak] (rev 34)

Comment 27 Sjoerd Mullender 2014-11-05 21:22:41 UTC
No change in behavior with kernel-3.16.7-200.fc20.x86_64.  It still fails.

Comment 28 Evili del Rio 2014-11-07 20:39:46 UTC
Bug still present in testing kernel-3.17.2-200.fc20.x86_64

Comment 29 dyland.desmarais 2014-11-08 19:49:45 UTC
3.17.2-200.fc20.x86_64 is also presenting the same bug for myself.  As before when the screen goes black under a 3.16 kernel the hdd light stops flashing so it appears the boot process is not proceeding past that point.

Comment 30 dif2175509 2014-11-09 17:53:47 UTC
I have a hp mini 1000 netbook and 3.16.5-200.fc20.i686, 3.16.6-200.fc20.i686 and 3.16.7-200.fc20.i686 will start up by adding nomodeset after quiet.

Without nomodeset it hangs on startup.

3.13.9-200.fc20.i686 started without any issues (wihtout nomodeset).

Comment 31 Sjoerd Mullender 2014-11-12 17:30:29 UTC
No change in behavior with kernel-3.17.2-200.fc20.x86_64.  It still fails.

Comment 32 poneil 2014-11-12 18:39:45 UTC
I added nomodeset to the kernel options in /boot/grub2/grub.cfg for previously installed kernel 3.16.6-203 (x86_64) and I was able to boot!

This is a HP EliteBook 8570p, with lspci reporting this for video:

01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Thames [Radeon HD 7550M/7570M/7650M]

Again, nomodeset seems to fix the problem. Works also with kernel 3.17.2-200. Causes a lot of logging to fly by and the transition to the graphical login screen isn't too polished (the boot process graphic with the Fedora symbol "filling" doesn't display), but at least the system continues to boot to login.

Comment 33 emoziko 2014-11-12 19:17:18 UTC
I have a same problem on my HP Elitbook 8470p..

Comment 34 Ted Sluis 2014-11-12 20:45:04 UTC
Adding the nomodeset option in /boot/grub2.cfg to the line 
"linux	/vmlinuz-3.16.6-200.fc20.x86_64 root=/dev/mapper/fedora_pavilion-root ro rd.lvm.lv=fedora_pavilion/swap vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora_pavilion/root  rhgb quiet LANG=en_US.UTF-8" 
works for me too! Issue solved!

Comment 35 Sjoerd Mullender 2014-11-12 21:13:40 UTC
Adding nomodeset is *not* a solution.  At least not for me.  When I add it, the system does boot, but the second monitor is not recognized.

Comment 36 Adri Verhoef 2014-11-13 21:27:37 UTC
Kernel kernel-3.16.6-200.fc20.x86_64 worked for me.
Kernel kernel-3.17.2-200.fc20.x86_64 didn't work: black screen, unusable system after reboot.

Luckily, after adding 'nomodeset' to the 'linux' line, the system booted and was showing the fedora logo again, filling up from bottom left to top right and so on.

linux	/boot/vmlinuz-3.17.2-200.fc20.x86_64 root=UUID=1f5648ad-c115-4ff8-8738-c76e140cb27e ro rd.md=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8

00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics Controller (rev 06)

After adding 'nomodeset' the boot process finally appears in /var/log/messages,

Nov 13 21:15:56 b kernel: [    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-3.17.2-200.fc20.x86_64 root=UUID=1f5648ad-c115-4ff8-8738-c76e140cb27e ro rd.md=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8 nomodeset

Without 'nomodeset' the boot process doesn't even show up in /var/log/messages.

Comment 37 diego.coste 2014-11-14 11:04:14 UTC
Update on Nov 14th 2014:

Boot Ok with:
kernel-3.16.3-200.fc20.x86_64

No boot no SSh no disk activity with:
kernel-3.16.7-200.fc20.x86_64
kernel-3.16.6-203.fc20.x86_64
kernel-3.16.6-200.fc20.x86_64
kernel-3.16.4-200.fc20.x86_64


Fortunately, 'nomodeset' did help to boot
kernel-3.17.2-200.fc20.x86_64

however in this case my laptop (hp 8470p) will never see the 2 additional monitors connected to the docking station (dvi+DisplayPort), even after normal login and visit of System settings/Monitor and display and even after multiple disconnections and power off-on cycles of the monitors.
The display fonts also look different, larger than those I usually see.

==> Is the problem due to the management of multiple monitors ?

I tried to disconnect the monitors and reboot but it did not help.
I also tried without success with the laptop disconnected from the docking station.

Maybe I should try to run dracut or (re-)install a kernel with the external monitors disconnected ?

PS: in order to keep the 3.16.3 kernel installed and available in grub's menu, I increased the value of installonly_limit in /etc/yum.conf (you could also set it to 0 to keep all previous installs).

Comment 38 diego.coste 2014-11-14 13:12:32 UTC
(In reply to diego.coste from comment #37)
> Maybe I should try to run dracut or (re-)install a kernel with the external
> monitors disconnected ?

Boot kernel-3.16.3-200
yum erase kernel-3.17.2-200.fc20.x86_64
Configure single display on laptop's own flat panel
Disconnect external monitors
Reboot kernel-3.16.3-200
yum update kernel
Boot kernel-3.17.2-200

==> No success :-(

Comment 39 emoziko 2014-11-18 13:25:42 UTC
3.17.2 kernel dont works..
After nomodeset i have terrible graphics whith my KDE.

Please help us :(

Comment 40 Anshuman 2014-11-21 10:49:44 UTC
The latest kernel fails to boot at X, i dont get my Gnome-login or anything it just get stuck at boot scripts.

my CPU is

-----------------------
model name	: AMD FX(tm)-6300 Six-Core Processor             
-----------------------

kernel-3.17.2-200.fc20.x86_64 fails to boot after passing through LVMPasscode and going through init scripts till GDM start, nothing shows .


Till now. Any kernel was booting with no issue. Currently i have boot into kernel-3.16.7-200.fc20.x86_64.

What is the fix?

Comment 41 Rodrigo 2014-11-21 12:23:09 UTC
Just updated my laptop (HP Elitbook 8470p) to kernel-3.17.3-200.fc20.x86_64. Same issue.

Comment 42 Nicolas Dufresne 2014-11-21 14:15:37 UTC
I think what you descibe now is more the symptome of this bug:
https://bugzilla.redhat.com/show_bug.cgi?id=1161887

Try these isntruction to test if it is the case:
https://bugzilla.redhat.com/show_bug.cgi?id=1161887#c1

Comment 43 diego.coste 2014-11-24 13:49:04 UTC
Hi All,

I finally found an acceptable solution.
I now suspect the problem is due to the free, default non-proprietary AMD-ATI driver (xorg-x11-drv-ati)

Today kernel 3.17.3.200 came and still did not fix the issue.

As I suspected this was a display issue, I finally got the idea to try with another display driver (not too proud of being so slow).
The obvious candidate in my case is the AMD catalyst proprietary driver.

First I screwed the install but did get the system booting with the new kernel, but video performances were bad and I could not enable my external displays.

Then I finally managed to properly install the driver and after a couple reboots, it works !

There must be plenty of tutorials to install the AMD driver.
I used French instructions from this page:
http://doc.fedora-fr.org/wiki/Carte_graphique_AMD_Radeon_:_installation_du_pilote_propri%C3%A9taire
(but I did not patch anything).

For non-French speakers, here is a quick summary:

yum install rpm-build kernel-devel gcc dkms

Backup X windows config (/etc/X11 I suppose)

Download from http://support.amd.com/fr-fr/download

Version for hp8470p as of Nov 24th 2014: 
http://www2.ati.com/drivers/linux/amd-catalyst-14-9-linux-x86-x86-64.zip 
unzip
chmod +x amd-driver-installer-*.run
./amd-driver-installer-*.run
yum localinstall ./fglrx64_*.x86_64.rpm
aticonfig --initial
reboot (not sure it is mandatory)
amdcccle  (to enable multi-display)
reboot (to enable multi-display)

I hope this will help others too. I wasted several hours with this problem.
Should I file a defect against the xorg-x11-drv-ati driver ?

Thanks to All
Diego

Comment 44 Anshuman 2014-11-24 14:49:14 UTC
kernel 3.17.3.200 also fails to boot. completely, I dont even get LUKS Password prompt at boot. I dont have ati card but nvidia card + AMD 6300 CPU etc, will not upgrade anything now till this issue is solved. I am not sure why more people are not reporting here with issues. but this is serious issue in kernel kernel 3.17.* and hopefully its fixed soon.

the solution mentioned at #42 is not clear atleast for me.

Attaching journalctl from fail boot at 3.17.2 boot, which failed to load X, in pastebin. http://pastebin.com/0cXzyirM

Comment 45 Josh Boyer 2014-11-24 14:55:20 UTC
(In reply to Anshuman from comment #44)
> kernel 3.17.3.200 also fails to boot. completely, I dont even get LUKS
> Password prompt at boot. I dont have ati card but nvidia card + AMD 6300 CPU
> etc, will not upgrade anything now till this issue is solved. I am not sure
> why more people are not reporting here with issues. but this is serious
> issue in kernel kernel 3.17.* and hopefully its fixed soon.

You likely have a different issue.  Your boot log shows you're using the virtualbox and nvidia drivers.  We aren't going to fix issues with that setup.

Comment 47 Karl 2014-11-24 15:42:12 UTC
Kernel 3.17.3-200.fc20 presents the same problem for me (kernel upgrade has no effect on the problem that I can see).

Comment 48 leigh scott 2014-11-24 18:02:58 UTC
(In reply to Anshuman from comment #46)
> @Josh Boyer. 
> 
> ok, knocking on nVidia door too.
> https://devtalk.nvidia.com/default/topic/791718/linux/nvidia-331-104-1-fc20-
> x86_64-and-linux-kernel-3-17-fails-to-boot-gfx/

Why it's user error!

Comment 49 Anshuman 2014-11-25 06:45:51 UTC
(In reply to leigh scott from comment #48)
> (In reply to Anshuman from comment #46)
> > @Josh Boyer. 
> > 
> > ok, knocking on nVidia door too.
> > https://devtalk.nvidia.com/default/topic/791718/linux/nvidia-331-104-1-fc20-
> > x86_64-and-linux-kernel-3-17-fails-to-boot-gfx/
> 
> Why it's user error!

Hi leigh Thanks pointing that out , fixed the drivers, I can now boot into 3.17.2 kernel BUT 3.17.3 just gets stuck right at boot.

------------------------------------
[root@syntaxjack ~]# rpm -qa | grep nvidia
akmod-nvidia-331.104-1.fc20.x86_64
xorg-x11-drv-nvidia-331.104-1.fc20.x86_64
kmod-nvidia-3.17.2-200.fc20.x86_64-331.104-1.fc20.x86_64
xorg-x11-drv-nvidia-libs-331.104-1.fc20.x86_64
kmod-nvidia-3.16.7-200.fc20.x86_64-331.104-1.fc20.x86_64
[root@syntaxjack ~]# uname -a
Linux syntaxjack 3.17.2-200.fc20.x86_64 #1 SMP Tue Nov 4 18:04:56 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
[root@syntaxjack ~]# 
------------------------------------

Comment 50 Sjoerd Mullender 2014-11-25 21:09:15 UTC
Still no luck whatsoever with kernel-3.17.3-200.fc20.x86_64.

Comment 51 Adri Verhoef 2014-12-03 23:25:37 UTC
kernel-3.17.4-200.fc20.x86_64 works for me (no 'nomodeset' necessary anymore), while kernel-3.17.2-200.fc20.x86_64 didn't work (black screen, no log message after reboot).

[    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-3.17.4-200.fc20.x86_64 roo
t=UUID=1f5648ad-c115-4ff8-8738-c76e140cb27e ro rd.md=0 rd.dm=0 KEYTABLE=us quiet
 SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8

Comment 52 emoziko 2014-12-04 06:50:22 UTC
Kernel 3.17.4 not working for me..

HP 8470p

Comment 53 Sjoerd Mullender 2014-12-04 08:06:33 UTC
Kernel 3.17.4-200 also not working for me.  Still HP EliteBook 8470w.

Comment 54 Yves L'ECUYER 2014-12-06 19:13:35 UTC
I'm using Fedora 20, with Mate as windows manager, since more than one year now.
I noticed somme instability on a video projector when I connected it on the vga connector of my HP EliteBook 8740W with an AMD Ati Firepro :Mobility Radeon HD 5870.
But when I switched from kernel 3.14 to the last one: 3.17.4-200
three days ago, the screen freeze when I get the compiz running.
So I have to switch back to "marco", the standard mate windows manager!

I didn't notice freeze at boot, as mentioned above, but I also never used rhgb, in grub.cfg, because I want to see if something goes wrong when systemd start services.I'm using the PC in dualboot Fedora/Windows 2012, in EFI/GPT mode.

So I installed the AMD fglrx ATI proprietary driver, as described in:
https://bluehatrecord.wordpress.com/2014/11/13/installing-the-proprietary-amd-catalyst-14-has came back 9-fglrx-driver-on-fedora-20-with-kernel-3-17/

and all is running fine now with compiz. The performance of glxgears is also better than with opensource radeon driver.

So expecting some update in radeon opensource driver, I'll stay with the fglrx driver !!!!

Comment 55 Nicolas Dufresne 2014-12-06 19:21:42 UTC
This bug is about NVIDIA GPU with nouveau driver.

Comment 56 Sjoerd Mullender 2014-12-06 20:03:39 UTC
(In reply to Nicolas Dufresne from comment #55)
> This bug is about NVIDIA GPU with nouveau driver.

No it isn't.  I am the one who originally opened this bug, and I do not have an NVIDIA GPU in my system.  I have Radeon video in my laptop.

Comment 57 Nicolas Dufresne 2014-12-06 20:42:08 UTC
Ok, then let's say this bug is messed up, sorry about the noise.

Comment 58 Karl 2014-12-06 23:35:57 UTC
Created attachment 965488 [details]
dmesg output after boot to kernel-3.11.10-301.fc20 (latest kernel I have that allows console logins)

Comment 59 Karl 2014-12-06 23:37:44 UTC
Created attachment 965489 [details]
dmesg output after boot to kernel-3.17.4-200.fc20 (not working; no console or even text-based console available)

Comment 60 Karl 2014-12-06 23:40:17 UTC
This bug is still present in kernel-3.17.4-200.fc20.x86_64.  I have posted two different dmesg outputs:  one right after a successful boot to kernel-3.11.10-301.fc20, and the other to an unsuccessful boot to 3.17.4-200.fc20.  I obtained the latter after an SSH connection into the machine (which S. Mullender claims he is unable to do with his own machine, so I hope to be of some further help, as I still can).

I will also mention that I first reported bug #1151052 (which I subsequently closed when this bug report duplicated it two days later) on October 9, 2014---this means I have been booting to the kernel that was installed with the DVD, with no updates, for at least two months.  I will do what I can to help diagnose and solve the problem as soon as possible.

This is on a Dell Optiplex 9020 (desktop) computer with a Radeon graphics module (my full lspci is posted above in Comment #5).

Comment 61 Steve Holford 2014-12-11 12:22:49 UTC
I have also encountered this bug on multiple Toshbia Tecra R950's with Radeon graphics. Kernel 3.16.3-200.fc20.x86_64 works fine. Anything since then boots into a black screen once the boot kernel is chosen.
As another data point, I tried the just released fedora 21 KDE live DVD. It has kernel 3.17.4-301 and it also boots to a black screen once you tell it to go.

Comment 62 Miroslav Jurkas 2014-12-13 09:18:38 UTC
On my HP EliteBook 8570p, with kernel-3.17.4-200.fc20.x86_64, adding nomodeset to kernel parameters resolved the issue temporarily. Graphic boot no longer works, but system boots as expected.
Observed similar issue few years ago with same workaround. 

I added parameter to GRUB_CMDLINE_LINUX_DEFAULT in /etc/default/grub to read:
  GRUB_CMDLINE_LINUX_DEFAULT="nomodeset"
to make it temporarily permanent until problem is resolved.

Comment 63 Sjoerd Mullender 2014-12-13 12:53:59 UTC
Still no luck with kernel 3.7.6-200.

Comment 64 Sjoerd Mullender 2014-12-21 12:45:42 UTC
No luck with kernel-3.17.7-200.fc20.x86_64 either.

Comment 65 Evili del Rio 2015-01-07 17:36:12 UTC
SOLVED:

I solved this issue in my laptop disaling DPM on my Toshiba Tecra R950 (equiped with a Radeon HD 7550M).

Just put this parameter in the grub command line:

radeon.dpm=0

and give it a try.

It works for me with  kernel-3.17.7-200.fc20.x86_64.

And I think it is related with this info:

https://wiki.archlinux.org/index.php/ATI#Dynamic_power_management

http://kernelnewbies.org/Linux_3.13#head-f95c198f6fdc7defe36f470dc8369cf0e16898df


Hth

Comment 66 diego.coste 2015-01-07 20:41:45 UTC
(In reply to Evili del Rio from comment #65)

Hurray for Evili !

Although I had a workable solution with the AMD proprietary driver, I had lost at the same time the possibility to sleep and hibernate (system would not recover).

This new trick works like a charm and restored the sleep and hibernate functions.
...and it uses the open source driver :-)

Thank you very much for posting your solution. 
I hope it will work for many others too.

Diego

Comment 67 Sjoerd Mullender 2015-01-08 18:07:40 UTC
(In reply to Evili del Rio from comment #65)

This also seems to do the trick for me.  At least, I've been able to boot kernel-3.17.7-200.fc20.x86_64 with this.  And even suspend/resume worked.

Comment 68 Steve Holford 2015-01-14 13:20:11 UTC
Same here, radeon.dpm=0 fixes the issue. Running F20 with latest 3.17.8 now on Toshiba R950's.

Comment 69 emoziko 2015-01-14 13:36:04 UTC
Yep radeon.dpm=0 solves this problem. But second monitor is not detected after this..

Comment 70 Sjoerd Mullender 2015-01-14 13:48:17 UTC
For me, the second monitor does work when I use radeon.dpm=0.

Comment 71 diego.coste 2015-01-14 15:30:11 UTC
On my HP 8470p with a docking station, both 2nd and third monitors get properly detected with radeon.dpm=0.

I had monitor detection problems when I used the generic vga driver. 
The performances were also very bad in that case.

Maybe you should check that you have xorg-x11-drv-ati installed ?

Comment 72 dyland.desmarais 2015-01-14 17:17:49 UTC
I'm also running a Toshiba Tecra R950.  Setting radeon.dpm=0 has also corrected my issues ( now booting correctly with 3.17.8-200.

Thanks Evili del Rio

Comment 73 emoziko 2015-01-15 09:29:44 UTC
Sorry guys. I uninstalled catalyst again and now everything works great. model: hp 8470p. Thank you very much.

Comment 74 Karl 2015-01-16 16:37:29 UTC
I'm very glad some people have managed a workaround for this bug, but the workaround does not work for me.  This suggests there may be two different bugs manifesting in the same way, perhaps.

Should I re-open bug #1151052, or is there a proposed solution to this one (i.e., not a workaround)?

Comment 75 Miroslav Jurkas 2015-01-17 13:56:45 UTC
On my HP 8570p setting radeon.dpm=0 has corrected my boot issues (kenel 3.17.7-200.fc20.x86_64).

Comment 76 Karl 2015-02-09 16:31:34 UTC
The recent updates (which included kernel-3.18.5-101.fc20) seem to have fixed this problem, at least for me.  Thank you to the individual(s) who solved it!  I really, really appreciate it.

Comment 77 Sjoerd Mullender 2015-02-09 17:34:02 UTC
I still have the same problem with kernel-3.18.5-201.fc21.x86_64.  Fortunately, the radeon.dpm=0 setting helps.

Comment 78 Fedora End Of Life 2015-05-29 13:04:03 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 79 Fedora End Of Life 2015-06-29 22:51:54 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 80 Sjoerd Mullender 2015-10-09 18:55:22 UTC
Just for the record, I can now run kernel 4.1.10-200 without the radeon.dpm=0 setting.


Note You need to log in before you can comment on or make changes to this bug.